<?php
include('includes/config.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
    header("location:index.php?error=Please Login to Continue..");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>KRIOS Kitchens</title>
    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="dist/css/loader.css" rel="stylesheet" type="text/css">
    <script src="js/datetimepicker_css.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
    <div id="wrapper">
        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
            include('includes/header.php');
            ?>
            <div class="navbar-default sidebar" role="navigation">
                <?php
                include('includes/navigation.php');
                ?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        &nbsp;
                        <?php
                        if(isset($_GET['success']))
                        {
                            ?>
                            <p class="alert-success"><?php echo $_GET['success'];?></p>
                            <?php
                        }
                        ?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4>Report: Klaxon Transfer</h4>
                            </div>
                            <!-- /.panel-heading -->
                            <div class="panel-body">
                                <!--Content Area-->
                                <div class="form-panel">
                                    <form class="form-horizontal style-form" action="javascript:void(0)" method="post" name="trans_form" id="trans_form">
                                        <div class="form-group">
                                            <label class="col-sm-2 col-sm-2 control-label">From Date</label>
                                            <div class="col-sm-4">
                                                <div class="input-group date">
                                                    <span class="input-group-btn">
                                                        <button type="button" onClick="javascript:NewCssCal('from_date','ddmmyyyy')" class="btn btn-default"><i class="glyphicon glyphicon-calendar"></i>
                                                        </button>
                                                    </span>
                                                    <input type="text" name="from_date" id="from_date" class="form-control" value="01-04-2016">
                                                </div>
                                            </div>
                                            <label class="col-sm-2 col-sm-2 control-label">To Date</label>
                                            <div class="col-sm-4">
                                                <div class="input-group date">
                                                    <span class="input-group-btn">
                                                        <button type="button" onClick="javascript:NewCssCal('to_date','ddmmyyyy')" class="btn btn-default"><i class="glyphicon glyphicon-calendar"></i>
                                                        </button>
                                                    </span>
                                                    <input type="text" name="to_date" id="to_date" class="form-control" value="<?php echo date('d-m-Y');?>">
                                                </div>
                                            </div>
                                        </div>
                                        <input type="submit" name="submit" id="submit" value="Search" class="btn btn-primary">
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.row -->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4>List: Transfer Detail</h4>
                            </div>
                            <!-- /.panel-heading -->
                            <div class="panel-body">
                                <table id="trans_ret" class="table">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Date</th>
                                            <th>Stock Number</th>
                                            <th>Particulars</th>
                                            <th>Debit</th>
                                            <th>Credit</th>
                                            <th>Balance</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <div class="cssload-container">
        <div class="cssload-whirlpool"></div>
    </div>
    <script src="bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            $('#trans_form').submit(function(e){
                var from_date = $('#from_date').val();
                var to_date = $('#to_date').val();
                if(from_date != '' && to_date != '')
                {
                    var fd = $(this).serialize();
                    $.ajax({
                        url:'ajax_process.php',
                        method:'POST',
                        data:fd+'&action=process',
                        dataType: "json",
                        beforeSend:function()
                        {
                            $('.cssload-container').show();
                        },
                        complete:function()
                        {
                            $('.cssload-container').hide();
                        },
                        success:function(data)
                        {
                            try{

                                if(data.success == true)
                                {
                                    var htm = '';
                                    var cnt = 1;
                                    var balance = 0;
                                    $.each( data.value, function( key, value ){
                                        var type = 'Return';
                                        var trans = parseFloat(value.total);
                                        var ret = 0;

                                        htm+="<tr>";
                                        htm+="<td>"+cnt+"</td>";
                                        htm+="<td>"+value.date+"</td>";
                                        htm+="<td>"+value.stock_number+"</td>";
                                        if(value.type == 'trans')
                                        {
                                            type = 'Transfer-IN';
                                            trans = 0;
                                            ret = parseFloat(value.total);
                                            balance = parseFloat(balance)-parseFloat(value.total);
                                        }
                                        else if(value.type == 'ret')
                                        {
                                            balance = parseFloat(balance)+parseFloat(value.total);
                                        }
                                        else if(value.type == 'voucher_c')
                                        {
                                            type = 'Voucher';
                                            ret = parseFloat(value.total);
                                            trans = 0;
                                            balance = parseFloat(balance)-parseFloat(value.total);
                                        }
                                        else if(value.type == 'voucher_d')
                                        {
                                            type = 'Voucher';
                                            ret = 0;
                                            trans = parseFloat(value.total);
                                            balance = parseFloat(balance)+parseFloat(value.total);
                                        }
                                        if(trans != 0)
                                        {
                                            trans = trans.toFixed(2);
                                        }
                                        if(ret != 0)
                                        {
                                            ret = ret.toFixed(2);
                                        }
                                        htm+="<td>"+type+"</td>";
                                        htm+="<td>"+trans+"</td>";
                                        htm+="<td>"+ret+"</td>";
                                        htm+="<td>"+balance.toFixed(2)+"</td>";
                                        htm+="</tr>";
                                        cnt++;
                                    });
                                    $('#trans_ret tbody').html(htm);
                                }
                                else if(data.success == false)
                                {
                                    alert(data.message);
                                }
                            }
                            catch(err) {
                                alert(err.message);
                            }
                        }
                    });
                }
                else
                {
                    alert('Enter dates to search transfer data');
                }
            });
        });
    </script>
</body>
</html>